TechDraw HorizontalDimension: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
(22 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>
<!--T:18-->
{{Docnav|[[TechDraw_Dimension_Length|New Length]]|[[TechDraw_Dimension_Vertical|New Vertical]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Length.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw_Dimension_Vertical.png}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=TechDraw Dimension Horizontal|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Horizontal|Shortcut=|SeeAlso=}}
|Name=TechDraw Dimension Horizontal
|MenuLocation=TechDraw → Dimension Horizontal
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Dimension Length]], [[TechDraw Dimension Vertical]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->

The Dimension_Horizontal tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
<!--T:8-->
[[File:HorizontalSample.png|200px|center]]
The Dimension Horizontal tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.

</translate>
[[Image:TechDraw_Dimension_Horizontal_example.png]]
<translate>
<!--T:9-->
{{Caption|Length dimension taken from two arbitrary nodes of the view; the distance is measured horizontally}}


==How to use== <!--T:3-->
==How to use== <!--T:3-->

<!--T:10-->
# Select the points or edge which define your measurement.
# Select the points or edge which define your measurement.
# Press the {{KEY|[[Image:Dimension_Horizontal.png|24px]] [[TechDraw Dimension Horizontal|Dimension Horizontal]]}} button
# Press the {{Button|[[Image:Dimension_Horizontal.png|16px]] [[TechDraw Dimension Horizontal|Dimension Horizontal]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


==Options== <!--T:4-->
== Limitations == <!--T:11-->

None.
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

* {{PropertyData|X}}: Horizontal position of the dimension text relative to the View.
<!--T:13-->
* {{PropertyData|Y}}: Vertical position of the dimension text relative to the View.
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
* {{PropertyData|Font}}: The name of the font to use for the dimension text.
* {{PropertyData|Fontsize}}: Dimension text size in mm.
* {{PropertyData|FormatSpec}}: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
* {{PropertyData|LineWidth}}: Dimension line weight.
* {{PropertyData|Type}}: Length,radius,diameter, etc. Not normally manipulated by the end user.
* {{PropertyData|MeasureType}}: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Horizonatal dimensions can be added to Pages using Python.
<!--T:14-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].

<!--T:15-->
The Dimension Horizontal tool can be used in [[macros]] and from the [[Python]] console by using the following functions:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 35: Line 56:
}}
}}
<translate>
<translate>

==Notes==<!--T:7-->

* None at this time
<!--T:19-->
{{Docnav|[[TechDraw_Dimension_Length|New Length]]|[[TechDraw_Dimension_Vertical|New Vertical]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Length.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw_Dimension_Vertical.png}}

<!--T:16-->
{{TechDraw Tools navi}}

<!--T:17-->
{{Userdocnavi}}
</translate>
</translate>
{{clear}}
{{clear}}
<languages/>

Revision as of 15:32, 22 February 2019

TechDraw Dimension Horizontal

Menu location
TechDraw → Dimension Horizontal
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Length, TechDraw Dimension Vertical

Description

The Dimension Horizontal tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

Length dimension taken from two arbitrary nodes of the view; the distance is measured horizontally

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Horizontal.png Dimension Horizontal button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Horizontal tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)